Subject: RE: [Tsvwg] Re: U-SCTP comments

From: [email-masked]
Date: Sat, 17 Mar 2001 14:48:22 +0200

> Qiaobing Xie <[email-masked]> writes:
> > I am also contemplating to put the partial checksum DATA 
> into a separate
> > draft from U-SCTP draft, just to ease the discussions.
> 
> Please don't do this.  Partial checksum really does depend on
> the unreliable extension.  Separating pcheck may make it easier to
> finish the work on usctp, but it greatly decreases the odds of getting
> pcheck implemented.  How many vendors do you know who habitually
> implement extensions of extensions?

	Maybe both things are a little bit related, but in my opinion one
thing is having a limited amounth of retransmissions of one DATA chunk, so
the whole DATA chunk (TSN, SSN, user data...) is unreliable in a way that if
the peer doesn't receive it after few attepmts it won't ever be received,
and another different thing is sending a DATA chunk (reliably or unreliably)
with some unreliable information inside it (i.e. not covered by the
checksum)...

	The relation I can see is that in both cases the receiver maybe
won't receive the same stuff you sent... You can combine reliable DATA
chunks with unreliable information inside, and the opposite...

	I don't see P-DATA as an extension to the U-SCTP at all...

	Thanks!

	BR Iván Arias Rodríguez

_______________________________________________
tsvwg mailing list
[email-masked]
http://www1.ietf.org/mailman/listinfo/tsvwg

---

From: "La Monte Henry Piggy Yarroll" <[email-masked]>
Date: Tue, 20 Mar 2001 09:58:25 -0600

OK, Qiaobing convinced me last night that it makes sense to separate
into two drafts.  In particular, iSCSI is clamoring for U-SCTP and
they are not really interested in P-DATA.  I only see them together
because I want them for the same application.  The P-DATA can
certainly wait...

[email-masked] writes:
> > [piggy wrote:]